Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.metadata
Class DataSourceMetaData

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ejb.plugins.cmp.jdbc.metadata.DataSourceMetaData

All Implemented Interfaces:
  DataSourceMetaDataMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class DataSourceMetaData
extends org.jboss.system.ServiceMBeanSupport
implements DataSourceMetaDataMBean

Version:
  `$Revision: 1.1.2.1 $`
Author:
  Alexey Loubyansky

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`DataSourceMetaData()`

Method Summary
`javax.management.ObjectName` | `getMetadataLibrary()`
`String` | `getTypeMapping()`
`JDBCTypeMappingMetaData` | `getTypeMappingMetaData()`
`void` | `setMetadataLibrary(javax.management.ObjectName metadataLibrary)`
`void` | `setTypeMapping(String typeMapping)`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### DataSourceMetaData

    public DataSourceMetaData()

Method Detail

### getTypeMapping

    public String getTypeMapping()

  Specified by:
    `getTypeMapping` in interface `DataSourceMetaDataMBean`

### setTypeMapping

    public void setTypeMapping(String typeMapping)

  Specified by:
    `setTypeMapping` in interface `DataSourceMetaDataMBean`

### getMetadataLibrary

    public javax.management.ObjectName getMetadataLibrary()

  Specified by:
    `getMetadataLibrary` in interface `DataSourceMetaDataMBean`

### setMetadataLibrary

    public void setMetadataLibrary(javax.management.ObjectName metadataLibrary)

  Specified by:
    `setMetadataLibrary` in interface `DataSourceMetaDataMBean`

### getTypeMappingMetaData

    public JDBCTypeMappingMetaData getTypeMappingMetaData()
                                                   throws Exception

  Specified by:
    `getTypeMappingMetaData` in interface `DataSourceMetaDataMBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.